package com.muyu.server.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.CarMessage;
import com.muyu.domain.resp.CarInformationResp;
import com.muyu.domain.resp.CarMessageResp;

import java.util.List;

/**
 * 报文模板展示列表业务层
 */
public interface CarMessageService extends IService<CarMessage> {

    /**
     * 根据所属车类别 解析 车辆报文模板
     * @param
     * @return
     */
    List<CarMessage> selectCarMessageList();


    /**
     * 添加车辆报文规则
     */
    int insertCarMessage(CarMessage carMessage);


    /**
     * 删除车辆报文规则
     */
    int delectByCarMessageId(Integer carMessageId);


    /**
     * 修改车辆报文规则
     */
    int updateCarMessage(CarMessage carMessage);

    /**
     * 查询
     * @param id
     * @return
     */
    List<CarMessageResp> selectJoinList(Long id);


    //报文切割
    /**
     * 分割字符串
     * 解析字符
     * 获取报文最终信息
     */
    JSONObject inciseCarMessage(String testString);
}
